add scripts/portable_date: wrapper around date for bsd/linux
authornbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>
Sun, 31 Jan 2016 23:28:55 +0000 (23:28 +0000)
committernbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>
Sun, 31 Jan 2016 23:28:55 +0000 (23:28 +0000)
date -r $unix_timestamp on bsd is equal to date -d @$unix_timestamp on
linux. To support reproducible builds and not loosing every timestamp
it's required to convert a unix timestamp into human readable timestamp

./scripts/portable_date $unix_timstamp +%T

Signed-off-by: Alexander Couzens <lynxis@fe80.eu>
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@48583 3c298f89-4303-0410-b956-a3cf2f4a3e73

scripts/portable_date.sh [new file with mode: 0755]

diff --git a/scripts/portable_date.sh b/scripts/portable_date.sh
new file mode 100755 (executable)
index 0000000..84a18eb
--- /dev/null
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+case $(uname) in
+       NetBSD|OpenBSD|DragonFly|FreeBSD|Darwin)
+               date -r $1 $2
+               ;;
+       *)
+               date -d @$1 $2
+esac
+
+exit $?